MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025162Open CASCADE[OCCT] OCCT:Visualizationpublic2014-08-18 17:102019-10-10 15:31
Reportersan 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0025162: Visualization, TKOpenGl - drop GLU library dependency
DescriptionIt is proposed to drop GLU library usage to improve portability of OpenGl package code.

Currently, the following GLU functions are in use:

  1. gluProject(), gluUnProject() - to be replaced by Graphic3d_Camera API if possible, or by explicit matrix operations

  2. gluScaleImage() - to be dropped in assumption that NPOT is supported by all target hardware; else texture coordinates can be scaled when a NPOT padded to get POT is applied

  3. gluBuild2DMipmaps() - to be dropped, glGenerateMipmaps() will be used if available, otherwise no mipmaps will be built and glTexImage2D() will be called directly

  4. gluOrtho2D() - to be replaced with manually calculated projection matrix and glLoadMatrix() call

  5. OpenGl_Trihedron class uses GLU quadrics intensively - to be rewritten using manually generated primitive arrays



Steps To ReproduceN/A
Additional information
and documentation updates
The fallback code for using non-power-of-two (NPOT) textures on old hardware has been dropped - texture initialization will fail now on such hardware. NPOT textures are required by OpenGL 2.0+ and OpenGL ES 2.0+.

The fallback code for generating mipmaps for 2D texture on old hardware has been dropped - texture initialization will not create mipmaps with appropriate warning on such hardware. Mipmaps generation is supported by OpenGL 3.0+ (and older with extension GL_ARB_framebuffer_object) and OpenGL ES 2.0+.

TKOpenGl does not depends on deprecated GLU anymore.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024381closedbugmaster Open CASCADE Visualization, TKOpenGl - revise matrices stack and usage of temporary matrices 
related to 0007928closedbugmaster Community Forum 7411: Improved display lists management for the trihedron display 
parent of 0026822closedbugmaster Open CASCADE Visualization, OpenGl_Texture - fix compilation issue on Android due to usage of undefined macros GL_DEBUG_TYPE_ERROR 
parent of 0027749closedbugmaster Open CASCADE Configuration - drop remaining occurences of GLU dependency 
related to 0025146closedbugmaster Open CASCADE Porting to Android 
related to 0029124closedbugmaster Open CASCADE Visualization, Tests - failures when tests are executed via Remote Desktop connection 

-  Notes
(0032504)
git (administrator)
2014-10-01 13:51

Branch CR25162 has been created by dbp.

SHA-1: 1fd1a748e9884e369f63569018909510bf44fde9


Detailed log of new commits:

Author: dbp
Date: Wed Oct 1 13:50:09 2014 +0400

    Eliminating gluProject/gluUnProject/gluOrtho2D.
(0032558)
git (administrator)
2014-10-02 11:35

Branch CR25162 has been updated by dbp.

SHA-1: ead5a49b10cc42546b48a6593bad06911660b81c


Detailed log of new commits:

Author: dbp
Date: Thu Oct 2 11:35:44 2014 +0400

    Eliminating GLU quadrics.

(0032563)
git (administrator)
2014-10-02 12:37

Branch CR25162 has been updated by dbp.

SHA-1: a3aa342da773b374b8e97a0578e9bc8049eaa733


Detailed log of new commits:

Author: dbp
Date: Thu Oct 2 12:37:50 2014 +0400

    Update trihedron.

(0032566)
git (administrator)
2014-10-02 13:13

Branch CR25162 has been updated by dbp.

SHA-1: b7b60d996376ec799d315b0f16ce90cf9bbaa6c1


Detailed log of new commits:

Author: dbp
Date: Thu Oct 2 13:13:25 2014 +0400

    Cosmetics.

(0032583)
git (administrator)
2014-10-02 15:04

Branch CR25162 has been updated by dbp.

SHA-1: ffdb6bf9b9b64aac85231a0c8072e27fe01c1f3e


Detailed log of new commits:

Author: dbp
Date: Thu Oct 2 15:04:11 2014 +0400

    Update.

(0032584)
git (administrator)
2014-10-02 15:15

Branch CR25162_1 has been created by dbp.

SHA-1: fe6d6c90b6bc178cfbeef9092322c858bfd828db


Detailed log of new commits:

Author: dbp
Date: Thu Oct 2 15:15:34 2014 +0400

    0025162: Visualization, TKOpenGl - drop GLU library dependency
(0032588)
dbp (developer)
2014-10-02 15:20

Dear kgv,

please review the patch in branch CR25162_1. Please note, that decision about gluScaleImage/gluBuild2DMipmaps is up to you.
(0032589)
git (administrator)
2014-10-02 15:32

Branch CR25162_1 has been deleted by dbp.

SHA-1: fe6d6c90b6bc178cfbeef9092322c858bfd828db
(0032590)
git (administrator)
2014-10-02 15:32

Branch CR25162_1 has been created by dbp.

SHA-1: f33a3fd7e82f2528e5b4702cf46d843ce2a027c9


Detailed log of new commits:

Author: dbp
Date: Thu Oct 2 15:32:02 2014 +0400

    0025162: Visualization, TKOpenGl - drop GLU library dependency
(0032591)
git (administrator)
2014-10-02 15:53

Branch CR25162_1 has been updated by dbp.

SHA-1: 5c23af764af9a29163adf4d09750b8ac39fe921b


Detailed log of new commits:

Author: dbp
Date: Thu Oct 2 15:53:20 2014 +0400

    Remove redundant code.

(0034254)
git (administrator)
2014-11-12 08:57

Branch CR25162 has been deleted by kgv.

SHA-1: ffdb6bf9b9b64aac85231a0c8072e27fe01c1f3e
(0034255)
git (administrator)
2014-11-12 08:57

Branch CR25162_1 has been deleted by kgv.

SHA-1: 5c23af764af9a29163adf4d09750b8ac39fe921b
(0044611)
git (administrator)
2015-08-25 15:43

Branch CR25162 has been created by isk.

SHA-1: 276c9f139003f02f1f67c69b0a21c06e41a4c6db


Detailed log of new commits:

Author: isk
Date: Tue Aug 25 15:41:47 2015 +0300

    0025162: Visualization, TKOpenGl - drop GLU library dependency
(0044640)
git (administrator)
2015-08-26 10:34

Branch CR25162 has been updated forcibly by isk.

SHA-1: b1258d9af2fb866a25c87e7f141aca516e691d8f
(0044641)
isk (developer)
2015-08-26 10:35

Dear Kirill,
please review the branch CR25162.
(0044648)
git (administrator)
2015-08-26 12:16

Branch CR25162 has been updated forcibly by isk.

SHA-1: aae08a295f9dad4b587944b06062e52f7378eb76
(0044659)
git (administrator)
2015-08-26 13:40

Branch CR25162 has been updated forcibly by isk.

SHA-1: 2c4b4b15d6da42e8645560cf2af8e475c9110110
(0044737)
git (administrator)
2015-08-27 13:34

Branch CR25162 has been updated forcibly by isk.

SHA-1: fbeda5cb29c94747ff49b3c007fd80e4db8209e0
(0044758)
git (administrator)
2015-08-27 16:22

Branch CR25162 has been updated forcibly by isk.

SHA-1: a6df16af335afe4ac0175d7901e522b77978820d
(0044759)
git (administrator)
2015-08-27 16:23

Branch CR25162 has been updated forcibly by isk.

SHA-1: 1d9e97080785f672a0e16c29398c40f485ce0aa2
(0044782)
git (administrator)
2015-08-28 11:47

Branch CR25162 has been updated forcibly by isk.

SHA-1: 96fb1d8ea4e97230a9842d6856a3dea926e16e08
(0044794)
git (administrator)
2015-08-28 13:26

Branch CR25162 has been updated forcibly by isk.

SHA-1: 4fd38f0fa6d7c6bfa555b10fc5ce070741e8f1c3
(0044918)
isk (developer)
2015-09-01 08:32

Dear Kirill,
Please review the branch CR25162
(0044934)
kgv (developer)
2015-09-01 14:34

Please test the patch in branch CR25162.
(0044955)
mkv (tester)
2015-09-02 11:56

Dear BugMaster,
Branch CR25162 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 4fd38f0fa6d7c6bfa555b10fc5ce070741e8f1c3

Number of compiler warnings:

occt component :
Linux: 16 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

There is new additional compilation warning on Linux platform:
http://jenkins-test-01.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_17008/job/CR25162-master_build_occt_linux/1/warnings17Result/package.-133837126/ [^]
OpenGl_Texture.cxx:445, GNU C Compiler 4 (gcc), Priority: Normal
unused variable 'anUnpackSentry' [-Wunused-variable]


There are following compilation errors during compilation Qt samples on Windows platform:
http://jenkins-test-01.nnov.opencascade.com:8080/view/CR25162-master/job/CR25162-master_build_occt_qt_samples_window/1/parsed_console/ [^]

1>..\voxeldemo\src\VoxelClient_VisDrawer.cxx(367): error C3861: 'gluUnProject': identifier not found
1>..\voxeldemo\src\VoxelClient_VisDrawer.cxx(369): error C3861: 'gluUnProject': identifier not found
1>..\voxeldemo\src\VoxelClient_VisDrawer.cxx(371): error C3861: 'gluUnProject': identifier not found

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 91833424 / 91194155 [+0.70%]
Total CPU difference: 17809.809999999088 / 17162.199999999382 [+3.77%]
products component :
Total MEMORY difference: 25257604 / 25216901 [+0.16%]
Total CPU difference: 7129.239999999987 / 7037.939999999998 [+1.30%]

Testing on Windows:
occt component :
Total MEMORY difference: 57097259 / 57090163 [+0.01%]
Total CPU difference: 16450.77345299904 / 16439.978183798914 [+0.07%]
products component :
Total MEMORY difference: 16222321 / 16222282 [+0.00%]
Total CPU difference: 5278.27823489996 / 5332.831784599964 [-1.02%]

There are no differences in images found by testdiff.
(0044981)
git (administrator)
2015-09-03 09:22

Branch CR25162 has been updated by isk.

SHA-1: 64129707c01527825555efe11f439dc4dd7bca36


Detailed log of new commits:

Author: isk
Date: Thu Sep 3 09:22:24 2015 +0300

    Use Graphic3d_TransformUtils::UnProject instead of gluUnProject in samples.
    Drop redundant data.

(0044982)
git (administrator)
2015-09-03 09:27

Branch CR25162_1 has been created by isk.

SHA-1: 04cdf6b0df8f4a38829e4367317f87b564dd62e9


Detailed log of new commits:

Author: isk
Date: Thu Sep 3 09:26:31 2015 +0300

    0025162: Visualization, TKOpenGl - drop GLU library dependency
    Drop gluScaleImage() and gluBuild2DMipmaps().
    Drop gluUnPorject() from samples.
    Output message if NPOT is unsupported and texture coordinates was scaled. Texture initialization is fail in this case.
    Output message if texture dimension exceed the max dimension. Texture initialization is fail in this case.
    TKOpenGl does not depends on deprecated GLU anymore.
(0044983)
isk (developer)
2015-09-03 09:28

Dear Kirill,
Please review the branch CR25162_1.
(0044984)
kgv (developer)
2015-09-03 09:42

Dear Ilya,

-  OpenGl_UnpackAlignmentSentry anUnpackSentry;

you can not just remove the variable - this is a functional code.
Please try adding dummy constructor to class OpenGl_UnpackAlignmentSentry() or add (void )anUnpackSentry to eliminate compiler warning.
(0044987)
git (administrator)
2015-09-03 10:19

Branch CR25162 has been updated by isk.

SHA-1: f47c10774b0c0d02b861b5a28398b080895964b0


Detailed log of new commits:

Author: isk
Date: Thu Sep 3 10:12:45 2015 +0300

    Restore OpenGl_UnpackAlignmentSentry variable.

(0044988)
git (administrator)
2015-09-03 10:23

Branch CR25162_1 has been updated forcibly by isk.

SHA-1: 825c8119ff459539df638d7ca4462b3399d8febd
(0044991)
kgv (developer)
2015-09-03 11:16

Please check compilation of updated patch in branch CR25162_1, regression testing is not needed.
(0045019)
git (administrator)
2015-09-03 17:22

Branch CR25162_1 has been updated forcibly by mkv.

SHA-1: 7944c0d212f07d4e717db1d3ba553064ba74ad78
(0045048)
mkv (tester)
2015-09-04 12:25

Dear BugMaster,
Branch CR25162_1 was rebased on branch IR-2015-09-03 of occt git-repository.
SHA-1: 7944c0d212f07d4e717db1d3ba553064ba74ad78
(0045049)
mkv (tester)
2015-09-04 12:25
edited on: 2015-09-04 12:26

Dear BugMaster,
Branch CR25162_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: 7944c0d212f07d4e717db1d3ba553064ba74ad78

There are following compilation errors during compilation QT samples on Windows platform:
http://jenkins-test-01.nnov.opencascade.com:8080/view/CR25162-1-master/job/CR25162-1-master_build_occt_qt_samples_window/1/parsed_console/ [^]
1>..\voxeldemo\src\VoxelClient_VisDrawer.cxx(376): error C2664: 'Graphic3d_TransformUtils::UnProject' : cannot convert parameter 4 from 'GLdouble [16]' to 'const Graphic3d_TransformUtils::MatrixType<Standard_Real>::Mat4 &'
1> Reason: cannot convert from 'GLdouble [16]' to 'const Graphic3d_TransformUtils::MatrixType<Standard_Real>::Mat4'
1> No constructor could take the source type, or constructor overload resolution was ambiguous
1>..\voxeldemo\src\VoxelClient_VisDrawer.cxx(386): error C2664: 'Graphic3d_TransformUtils::UnProject' : cannot convert parameter 4 from 'GLdouble [16]' to 'const Graphic3d_TransformUtils::MatrixType<Standard_Real>::Mat4 &'
1> Reason: cannot convert from 'GLdouble [16]' to 'const Graphic3d_TransformUtils::MatrixType<Standard_Real>::Mat4'
1> No constructor could take the source type, or constructor overload resolution was ambiguous
1>..\voxeldemo\src\VoxelClient_VisDrawer.cxx(396): error C2664: 'Graphic3d_TransformUtils::UnProject' : cannot convert parameter 4 from 'GLdouble [16]' to 'const Graphic3d_TransformUtils::MatrixType<Standard_Real>::Mat4 &'
1> Reason: cannot convert from 'GLdouble [16]' to 'const Graphic3d_TransformUtils::MatrixType<Standard_Real>::Mat4'
1> No constructor could take the source type, or constructor overload resolution was ambiguous

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

(0045081)
git (administrator)
2015-09-04 16:05

Branch CR25162_1 has been updated by isk.

SHA-1: 7bc7ed2f19882228cf8454487c7b0dc07f622f33


Detailed log of new commits:

Author: isk
Date: Fri Sep 4 16:05:09 2015 +0300

    Fix sample

(0045116)
git (administrator)
2015-09-07 09:10

Branch CR25162_2 has been created by isk.

SHA-1: 0c3ad55708f0aeb43eea32f066da2b56703f24b5


Detailed log of new commits:

Author: isk
Date: Fri Sep 4 16:08:43 2015 +0300

    0025162: Visualization, TKOpenGl - drop GLU library dependency
    Drop gluScaleImage() and gluBuild2DMipmaps().
    Drop gluUnPorject() from samples.
    Output message if NPOT is unsupported and texture coordinates was scaled. Texture initialization is fail in this case.
    Output message if texture dimension exceed the max dimension. Texture initialization is fail in this case.
    TKOpenGl does not depends on deprecated GLU anymore.
(0045120)
git (administrator)
2015-09-07 09:42

Branch CR25162_2 has been updated forcibly by isk.

SHA-1: 6b58c4d6a5d9ff9332854b9623efa02771215a28
(0045121)
git (administrator)
2015-09-07 09:45

Branch CR25162_1 has been updated by isk.

SHA-1: 8557ca93de2a3358a98494e6855e67baa834bc6f


Detailed log of new commits:

Author: isk
Date: Mon Sep 7 09:45:41 2015 +0300

    Return GLU in the sample VoxelDemo.

(0045126)
kgv (developer)
2015-09-07 11:28

Please check compilation of updated patch in branch CR25162_2.
(0045146)
git (administrator)
2015-09-07 15:24

Branch CR25162_2 has been updated forcibly by mkv.

SHA-1: d2d1c8f954c394d1627c8915720cbda8d7931955
(0045171)
mkv (tester)
2015-09-07 18:04

Dear BugMaster,
Branch CR25162_2 was rebased on current master of occt git-repository.
SHA-1: d2d1c8f954c394d1627c8915720cbda8d7931955
(0045172)
mkv (tester)
2015-09-07 18:04

Dear BugMaster,
Branch CR25162_2 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: d2d1c8f954c394d1627c8915720cbda8d7931955

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

There are compilation errors in Qt samples products on windows platform:
http://jenkins-test-01.nnov.opencascade.com:8080/view/CR25162-2-master/job/CR25162-2-master_build_occt_qt_samples_window/2/parsed_console/ [^]
(0045231)
git (administrator)
2015-09-08 15:13

Branch CR25162_2 has been updated by isk.

SHA-1: 797b2a54b21bf0d7ce30bab1d47cd72cc22a89f9


Detailed log of new commits:

Author: isk
Date: Tue Sep 8 15:13:14 2015 +0300

    Fix errors of compilation.

(0045234)
git (administrator)
2015-09-08 15:23

Branch CR25162_3 has been created by isk.

SHA-1: 6e985aacae18d3baa4dc63a425b1c65b06a39992


Detailed log of new commits:

Author: isk
Date: Tue Sep 8 15:15:04 2015 +0300

    0025162: Visualization, TKOpenGl - drop GLU library dependency
    Drop gluScaleImage() and gluBuild2DMipmaps().
    Drop gluUnPorject() from samples.
    Output message if NPOT is unsupported and texture coordinates was scaled. Texture initialization is fail in this case.
    Output message if texture dimension exceed the max dimension. Texture initialization is fail in this case.
    TKOpenGl does not depends on deprecated GLU anymore.
(0045298)
isk (developer)
2015-09-09 12:28

Please check compilation of updated patch in branch CR25162_3.
(0045406)
mkv (tester)
2015-09-10 13:13

Dear BugMaster,
Branch CR25162_3 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested on Release mode.
SHA-1: 6e985aacae18d3baa4dc63a425b1c65b06a39992

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 92110352 / 91937526 [+0.19%]
Total CPU difference: 17811.73999999898 / 17713.56999999897 [+0.55%]
products component :
Total MEMORY difference: 25229266 / 25220029 [+0.04%]
Total CPU difference: 7111.059999999981 / 6936.800000000004 [+2.51%]

Testing on Windows:
occt component :
Total MEMORY difference: 57110681 / 57101268 [+0.02%]
Total CPU difference: 16121.377341498997 / 16228.721629599388 [-0.66%]
products component :
Total MEMORY difference: 16226701 / 16225943 [+0.00%]
Total CPU difference: 5573.338526299971 / 5398.88260799997 [+3.23%]

There are no differences in images found by testdiff.
(0046872)
git (administrator)
2015-10-16 16:14

Branch CR25162 has been deleted by kgv.

SHA-1: f47c10774b0c0d02b861b5a28398b080895964b0
(0046873)
git (administrator)
2015-10-16 16:14

Branch CR25162_1 has been deleted by kgv.

SHA-1: 8557ca93de2a3358a98494e6855e67baa834bc6f
(0046874)
git (administrator)
2015-10-16 16:14

Branch CR25162_2 has been deleted by kgv.

SHA-1: 797b2a54b21bf0d7ce30bab1d47cd72cc22a89f9
(0046875)
git (administrator)
2015-10-16 16:14

Branch CR25162_3 has been deleted by kgv.

SHA-1: 6e985aacae18d3baa4dc63a425b1c65b06a39992

- Related Changesets
occt: master fa4dcbe0
Timestamp: 2015-09-08 12:15:04
Author: isk
Committer: bugmaster
Details ] Diff ]
0025162: Visualization, TKOpenGl - drop GLU library dependency
Drop gluScaleImage() and gluBuild2DMipmaps().
Drop gluUnPorject() from samples.
Output message if NPOT is unsupported and texture coordinates was scaled. Texture initialization is fail in this case.
Output message if texture dimension exceed the max dimension. Texture initialization is fail in this case.
TKOpenGl does not depends on deprecated GLU anymore.
mod - adm/genproj.tcl Diff ] File ]
mod - samples/qt/VoxelDemo/src/VoxelClient_VisDrawer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GlFunctions.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Texture.cxx Diff ] File ]
mod - src/TKOpenGl/CMakeLists.txt Diff ] File ]
mod - src/TKService/CMakeLists.txt Diff ] File ]
mod - src/TKV3d/CMakeLists.txt Diff ] File ]
mod - src/TKViewerTest/CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-08-18 17:10 san New Issue
2014-08-18 17:10 san Assigned To => san
2014-08-18 17:10 san Relationship added related to 0025146
2014-08-18 17:11 san Status new => assigned
2014-08-18 17:11 san Description Updated View Revisions
2014-08-18 17:12 san Description Updated View Revisions
2014-08-18 17:32 kgv Severity feature => integration request
2014-08-18 17:32 kgv Summary Visualization, TKOpenGl - Drop GLU library usage => Visualization, TKOpenGl - drop GLU library dependency
2014-08-18 17:33 kgv Relationship added related to 0024381
2014-08-18 17:34 san Severity integration request => feature
2014-08-18 17:34 san Summary Visualization, TKOpenGl - drop GLU library dependency => Visualization, TKOpenGl - Drop GLU library usage
2014-08-18 17:34 san Description Updated View Revisions
2014-08-25 10:42 san Summary Visualization, TKOpenGl - Drop GLU library usage => Visualization, TKOpenGl - drop GLU library dependency
2014-09-09 09:08 kgv Assigned To san => apl
2014-09-24 15:05 kgv Relationship added related to 0007928
2014-09-29 15:55 san Assigned To apl => dbp
2014-10-01 13:51 git Note Added: 0032504
2014-10-02 11:35 git Note Added: 0032558
2014-10-02 12:37 git Note Added: 0032563
2014-10-02 13:13 git Note Added: 0032566
2014-10-02 15:04 git Note Added: 0032583
2014-10-02 15:15 git Note Added: 0032584
2014-10-02 15:20 dbp Note Added: 0032588
2014-10-02 15:20 dbp Assigned To dbp => kgv
2014-10-02 15:20 dbp Status assigned => feedback
2014-10-02 15:32 git Note Added: 0032589
2014-10-02 15:32 git Note Added: 0032590
2014-10-02 15:53 git Note Added: 0032591
2014-11-05 09:52 kgv Status feedback => assigned
2014-11-05 09:52 kgv Target Version 6.8.0 => 7.1.0
2014-11-12 08:57 git Note Added: 0034254
2014-11-12 08:57 git Note Added: 0034255
2015-08-25 10:10 kgv Assigned To kgv => isk
2015-08-25 10:10 kgv Severity feature => integration request
2015-08-25 10:10 kgv Target Version 7.1.0 => 7.0.0
2015-08-25 10:10 kgv Steps to Reproduce Updated View Revisions
2015-08-25 10:10 kgv Additional Information Updated View Revisions
2015-08-25 15:43 git Note Added: 0044611
2015-08-26 10:34 git Note Added: 0044640
2015-08-26 10:35 isk Note Added: 0044641
2015-08-26 10:35 isk Assigned To isk => kgv
2015-08-26 10:35 isk Status assigned => resolved
2015-08-26 11:14 kgv Assigned To kgv => isk
2015-08-26 11:14 kgv Status resolved => assigned
2015-08-26 12:16 git Note Added: 0044648
2015-08-26 13:40 git Note Added: 0044659
2015-08-26 13:49 isk Assigned To isk => kgv
2015-08-26 13:49 isk Status assigned => resolved
2015-08-27 08:59 kgv Assigned To kgv => isk
2015-08-27 08:59 kgv Status resolved => assigned
2015-08-27 13:34 git Note Added: 0044737
2015-08-27 16:22 git Note Added: 0044758
2015-08-27 16:23 git Note Added: 0044759
2015-08-28 11:47 git Note Added: 0044782
2015-08-28 13:26 git Note Added: 0044794
2015-09-01 08:32 isk Note Added: 0044918
2015-09-01 08:32 isk Assigned To isk => kgv
2015-09-01 08:32 isk Status assigned => resolved
2015-09-01 14:34 kgv Note Added: 0044934
2015-09-01 14:34 kgv Assigned To kgv => bugmaster
2015-09-01 14:34 kgv Status resolved => reviewed
2015-09-01 15:22 mkv Assigned To bugmaster => mkv
2015-09-02 11:56 mkv Note Added: 0044955
2015-09-02 11:56 mkv Assigned To mkv => isk
2015-09-02 11:56 mkv Status reviewed => assigned
2015-09-02 11:56 mkv Test case number => Not needed
2015-09-03 09:22 git Note Added: 0044981
2015-09-03 09:27 git Note Added: 0044982
2015-09-03 09:28 isk Note Added: 0044983
2015-09-03 09:28 isk Assigned To isk => kgv
2015-09-03 09:28 isk Status assigned => resolved
2015-09-03 09:42 kgv Note Added: 0044984
2015-09-03 09:42 kgv Assigned To kgv => isk
2015-09-03 09:42 kgv Status resolved => assigned
2015-09-03 10:19 git Note Added: 0044987
2015-09-03 10:23 git Note Added: 0044988
2015-09-03 10:26 isk Assigned To isk => kgv
2015-09-03 10:26 isk Status assigned => resolved
2015-09-03 11:16 kgv Note Added: 0044991
2015-09-03 11:16 kgv Assigned To kgv => bugmaster
2015-09-03 11:16 kgv Status resolved => reviewed
2015-09-03 14:49 mkv Assigned To bugmaster => mkv
2015-09-03 17:22 git Note Added: 0045019
2015-09-04 12:25 mkv Note Added: 0045048
2015-09-04 12:25 mkv Note Added: 0045049
2015-09-04 12:25 mkv Assigned To mkv => isk
2015-09-04 12:25 mkv Status reviewed => assigned
2015-09-04 12:26 mkv Note Edited: 0045049 View Revisions
2015-09-04 16:05 git Note Added: 0045081
2015-09-07 09:10 git Note Added: 0045116
2015-09-07 09:12 isk Assigned To isk => kgv
2015-09-07 09:12 isk Status assigned => resolved
2015-09-07 09:12 isk Note Added: 0045117
2015-09-07 09:12 isk Assigned To kgv => bugmaster
2015-09-07 09:12 isk Status resolved => reviewed
2015-09-07 09:18 isk Note Deleted: 0045117
2015-09-07 09:18 isk Assigned To bugmaster => isk
2015-09-07 09:18 isk Status reviewed => assigned
2015-09-07 09:42 git Note Added: 0045120
2015-09-07 09:45 git Note Added: 0045121
2015-09-07 11:28 kgv Note Added: 0045126
2015-09-07 11:28 kgv Assigned To isk => bugmaster
2015-09-07 11:28 kgv Status assigned => resolved
2015-09-07 11:28 kgv Status resolved => reviewed
2015-09-07 15:14 mkv Assigned To bugmaster => mkv
2015-09-07 15:24 git Note Added: 0045146
2015-09-07 18:04 mkv Note Added: 0045171
2015-09-07 18:04 mkv Note Added: 0045172
2015-09-07 18:04 mkv Assigned To mkv => isk
2015-09-07 18:04 mkv Status reviewed => assigned
2015-09-08 15:13 git Note Added: 0045231
2015-09-08 15:23 git Note Added: 0045234
2015-09-09 12:26 isk Assigned To isk => kgv
2015-09-09 12:26 isk Status assigned => resolved
2015-09-09 12:28 isk Note Added: 0045298
2015-09-09 12:28 isk Assigned To kgv => bugmaster
2015-09-09 12:28 isk Status resolved => reviewed
2015-09-09 12:52 mkv Assigned To bugmaster => mkv
2015-09-10 13:13 mkv Note Added: 0045406
2015-09-10 13:13 mkv Assigned To mkv => bugmaster
2015-09-10 13:13 mkv Status reviewed => tested
2015-09-11 14:09 bugmaster Changeset attached => occt master fa4dcbe0
2015-09-11 14:09 bugmaster Status tested => verified
2015-09-11 14:09 bugmaster Resolution open => fixed
2015-10-16 16:14 git Note Added: 0046872
2015-10-16 16:14 git Note Added: 0046873
2015-10-16 16:14 git Note Added: 0046874
2015-10-16 16:14 git Note Added: 0046875
2015-10-28 17:15 kgv Relationship added parent of 0026822
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:49 aiv Status verified => closed
2016-08-03 12:52 kgv Relationship added parent of 0027749
2017-09-20 18:17 kgv Relationship added related to 0029124
2019-10-10 15:31 apn Relationship added parent of 0031055


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker